(function() {
	var Loading = /*@__PURE__*/ (function(Component) {
		function Loading(props) {
			Component.call(this, props);
			this.data = {};
		}

		if (Component) Loading.__proto__ = Component;
		Loading.prototype = Object.create(Component && Component.prototype);
		Loading.prototype.constructor = Loading;
		Loading.prototype.apiready = function() {};
		Loading.prototype.render = function() {
			return apivm.h("image", {
				class: "" + (this.props.type ? "loading_" + this.props.type : "loading_"),
				src: "../../image/loading.gif"
			});
		};

		return Loading;
	})(Component);
	Loading.css = {
		".loading_": {
			width: "65px",
			height: "65px",
			position: "absolute",
			top: "43%",
			left: "50%",
			transform: "translateX(-25px)",
			zIndex: "99"
		},
		".loading_login": {
			width: "65px",
			height: "65px",
			position: "absolute",
			top: "17%",
			left: "50%",
			transform: "translateX(-25px)",
			zIndex: "99"
		}
	};
	apivm.define("loading", Loading);

	// 本地存储
	var storage = {
		set: function set(key, value) {
			api.setPrefs({
				key: key,
				value: typeof value === "string" ? value : JSON.stringify(value)
			});
		},

		get: function get(key) {
			var value = api.getPrefs({sync: true, key: key}) || "";

			// 如果JSON字符串无法解析，直接返回
			try {
				return JSON.parse(value);
			} catch (e) {
				return value;
			}
		},

		del: function del(key) {
			api.removePrefs({key: key});
		}
	};

	var downloadManager = api.require("downloadManager");

	global.fs = api.require("fs");
	var AliDownload = /*@__PURE__*/ (function(Component) {
		function AliDownload(props) {
			Component.call(this, props);
			this.data = {
				hasVideo: false,
				editDelete: false, // 编辑删除
				finish: [], // 已完成
				downloading: [], // 下载中
				progress: 0, // 下载进度
				isPause: false, // 是否暂停下载
				error: [] // 下载失败
			};
		}

		if (Component) AliDownload.__proto__ = Component;
		AliDownload.prototype = Object.create(Component && Component.prototype);
		AliDownload.prototype.constructor = AliDownload;
		AliDownload.prototype.apiready = function() {
			this.init();
			this.initEventListenter();
			this.editDel();
		};
		AliDownload.prototype.init = function() {
			var encryptLocalVideos = storage.get("encryptLocalVideos") || [];
			if (encryptLocalVideos.length > 0) {
				this.data.hasVideo = true;
				var finishList = [];
				var downloadingList = [];

				encryptLocalVideos.map(function(item) {
					if (item.savePath) {
						finishList.push(item);
					} else {
						downloadingList.push(item);
					}
				});

				this.data.finish = finishList;
				this.data.downloading = downloadingList;
			} else {
				this.data.hasVideo = false;
				this.data.finish = [];
				this.data.downloading = [];
			}
		};
		AliDownload.prototype.initEventListenter = function() {
			var this$1 = this;

			api.addEventListener(
				{
					name: "progress"
				},
				function(ret) {
					if (ret.value.progress) {
						this$1.data.progress = ret.value.progress;
					} else if (ret.value.status) {
						this$1.data.progress = 0;
						this$1.init();
					} else {
						this$1.data.progress = 0;
						this$1.init();
					}
				}
			);
		};
		AliDownload.prototype.onStart = function() {
			var AliyunPlayer = api.require("AliyunPlayer");
			AliyunPlayer.startDownload();
			this.data.isPause = false;
		};
		AliDownload.prototype.onPause = function() {
			var AliyunPlayer = api.require("AliyunPlayer");
			AliyunPlayer.stopDownload();
			this.data.isPause = true;
		};
		AliDownload.prototype.onDelete = function(videoId, savePath) {
			var this$1 = this;

			api.confirm(
				{
					msg: "是否确认删除该视频",
					buttons: ["确定", "取消"]
				},
				function(ret, err) {
					if (ret.buttonIndex == 1) {
						this$1.removeLocalVideo(videoId);
					}
				}
			);
		};
		AliDownload.prototype.fsRemove = function(savePath) {
			var folderPath = savePath.slice(0, savePath.indexOf("."));
			// 删除 m3u8文件
			fs.remove({path: savePath});
			// 删除存储分段视频的ts文件夹
			fs.rmdir({path: folderPath});
		};
		AliDownload.prototype.removeLocalVideo = function(videoId) {
			var this$1 = this;

			var encryptLocalVideos = storage.get("encryptLocalVideos") || [];
			var index = encryptLocalVideos.findIndex(function(item) {
				return item.videoId === videoId;
			});
			this.fsRemove(encryptLocalVideos[index].savePath);
			encryptLocalVideos.splice(index, 1);
			storage.set("encryptLocalVideos", encryptLocalVideos);
			api.getPrefs(
				{
					key: "encryptLocalVideos"
				},
				function() {
					this$1.init();
				}
			);
		};
		AliDownload.prototype.openVideo = function(videoId) {
			api.openWin({
				name: "aliVideo",
				url: "../video/testali.stml",
				pageParam: {
					videoId: videoId
				}
			});
		};
		AliDownload.prototype.editDel = function() {
			var this$1 = this;

			api.addEventListener(
				{
					name: "navitembtn"
				},
				function() {
					if (this$1.data.editDelete) {
						this$1.data.editDelete = !this$1.data.editDelete;
						api.setNavBarAttr({
							rightButtons: [
								{
									text: "编辑  "
								}
							]
						});
					} else {
						this$1.data.editDelete = !this$1.data.editDelete;
						api.setNavBarAttr({
							rightButtons: [
								{
									text: "完成  "
								}
							]
						});
					}
				}
			);
		};
		AliDownload.prototype.render = function() {
			var this$1 = this;
			return apivm.h(
				"view",
				{class: "page"},

				apivm.h("text", {class: "title"}, "离线中心"),

				!this.data.hasVideo
					? apivm.h(
							"view",
							{class: "nodata"},
							apivm.h(
								"view",
								{class: "list-nodata"},
								apivm.h("image", {
									class: "list-nodata_img",
									src: "../../image/default-display-nopower.png"
								}),
								apivm.h("text", {class: "list-nodata_text"}, "暂无内容")
							)
					  )
					: apivm.h(
							"scroll-view",
							{class: "list", "show-scrollbar": "false"},

							this.data.finish.map(function(item, index) {
								return apivm.h(
									"view",
									{
										class: "list-item " + (index == 0 ? "" : "list-item_s"),
										onClick: function() {
											return this$1.openVideo(item.videoId);
										}
									},
									apivm.h(
										"view",
										{class: "list-item-course"},
										apivm.h(
											"view",
											{class: "item-course-content"},
											apivm.h("text", {class: "item-course-title"}, item.title),
											apivm.h("text", {class: "item-course-des"}, "已缓存")
										),
										!this$1.data.editDelete
											? apivm.h(
													"view",
													{class: "item-course-icon"},
													apivm.h("image", {
														class: "item-course-icon_img",
														src: "../../image/default-icon-more.png"
													})
											  )
											: null,
										this$1.data.editDelete
											? apivm.h(
													"text",
													{
														class: "item-course-btn fail",
														onClick: function() {
															return this$1.onDelete(item.videoId, item.savePath);
														}
													},
													"删除"
											  )
											: null
									)
								);
							}),

							this.data.downloading.map(function(item, index) {
								return apivm.h(
									"view",
									{
										class:
											"list-item " +
											(index == 0 && this$1.data.finish.length == 0 ? "" : "list-item_s")
									},
									apivm.h(
										"view",
										{class: "list-item-course"},
										apivm.h(
											"view",
											{class: "item-course-content"},
											apivm.h("text", {class: "item-course-title"}, item.title),
											apivm.h(
												"view",
												{class: "item-course-des pause"},
												index === 0
													? apivm.h("text", {class: "des-pro"}, this$1.data.progress, "%")
													: null,
												index === 0 && this$1.data.isPause
													? apivm.h("text", {class: "des-data"}, "暂停中")
													: null,
												index !== 0 ? apivm.h("text", {class: "des-data"}, "排队中") : null
											),
											index === 0
												? apivm.h("progress", {
														class: "item-course-progress",
														value: this$1.data.progress,
														activeColor: "#17B47B",
														backgroundColor: "#E5E5E5"
												  })
												: null
										),
										apivm.h(
											"text",
											{
												class: "item-course-btn",
												onClick: this$1.data.isPause ? "onStart()})" : "onPause()",
												style: {
													display: index === 0 && !this$1.data.editDelete ? "flex" : "none"
												}
											},
											this$1.data.isPause ? "继续" : "暂停"
										)
									)
								);
							}),

							this.data.error.map(function(item, index) {
								return apivm.h(
									"view",
									{
										class:
											"list-item " +
											(index == 0 &&
											this$1.data.finish.length == 0 &&
											this$1.data.downloading.length == 0
												? ""
												: "list-item_s")
									},
									apivm.h(
										"view",
										{class: "list-item-course"},
										apivm.h(
											"view",
											{class: "item-course-content"},
											apivm.h("text", {class: "item-course-title"}, item.title),
											apivm.h(
												"view",
												{class: "item-course-des pause"},
												apivm.h(
													"text",
													{class: "des-data"},
													item.reason == "1004" ? "存储已满" : "下载失败/网络异常"
												),
												apivm.h(
													"text",
													{class: "des-pro"},
													parseInt((item.finishSize / item.totalSize) * 100),
													"%"
												)
											),
											apivm.h("progress", {
												class: "item-course-progress",
												value: parseInt((item.finishSize / item.totalSize) * 100),
												activeColor: "#FF3B30",
												backgroundColor: "#E5E5E5"
											})
										),
										apivm.h(
											"text",
											{
												class: "item-course-btn fail",
												onClick: function() {
													return this$1.onDelete(item.id);
												}
											},
											"删除"
										)
									)
								);
							})
					  )
			);
		};

		return AliDownload;
	})(Component);
	AliDownload.css = {
		".page": {
			display: "flex",
			flexDirection: "column",
			height: "100%",
			padding: "0 20px 40px 20px",
			boxSizing: "border-box"
		},
		".title": {
			lineHeight: "44px",
			fontSize: "23px",
			fontWeight: "bold",
			color: "#333",
			marginTop: "10px"
		},
		".nodata": {marginTop: "25px"},
		".list-nodata": {padding: "40px 55px 66.5px", boxSizing: "border-box"},
		".list-nodata_img": {width: "225px", height: "175px", margin: "0 auto"},
		".list-nodata_text": {textAlign: "center", fontSize: "12px", color: "#999"},
		".list": {flex: "1", marginTop: "32.5px"},
		".list-item": {flexDirection: "row"},
		".list-item_s": {marginTop: "45px"},
		".list-item-course": {
			width: "100%",
			flexDirection: "row",
			justifyContent: "space-between"
		},
		".item-course-content": {display: "flex", flexDirection: "column"},
		".item-course-title": {
			width: "225px",
			maxHeight: "42px",
			fontSize: "15px",
			fontWeight: "bold",
			overflow: "hidden",
			textOverflow: "ellipsis",
			color: "#333"
		},
		".item-course-des": {
			width: "220px",
			fontSize: "12px",
			color: "#999",
			marginTop: "10px"
		},
		".item-course-icon": {marginTop: "15.5px"},
		".item-course-icon_img": {width: "7px", height: "13px"},
		".item-course-btn": {
			alignSelf: "flex-end",
			width: "59px",
			height: "30px",
			lineHeight: "30px",
			textAlign: "center",
			borderRadius: "3px",
			border: "1px solid #17b47b",
			fontSize: "12px",
			color: "#17b47b"
		},
		".item-course-progress": {width: "220px", height: "4px", marginTop: "5px"},
		".des-data": {fontSize: "12px", color: "#999"},
		".des-pro": {fontSize: "12px", color: "#999"},
		".pause": {
			height: "16.5px",
			flexDirection: "row",
			justifyContent: "space-between",
			display: "flex"
		},
		".progress_fail": {backgroundColor: "#ff3b30"},
		".fail": {border: "1px solid #ff3b30", color: "#ff3b30"}
	};
	apivm.define("ali-download", AliDownload);
	apivm.render(apivm.h("ali-download", null), "body");
})();
