(function() {
	var Tabbar = /*@__PURE__*/ (function(Component) {
		function Tabbar(props) {
			Component.call(this, props);
		}

		if (Component) Tabbar.__proto__ = Component;
		Tabbar.prototype = Object.create(Component && Component.prototype);
		Tabbar.prototype.constructor = Tabbar;
		Tabbar.prototype.setTab = function(index) {
			if (this.props.activeIndex !== index) {
				this.fire("change", index);
			}
		};
		Tabbar.prototype.render = function() {
			var this$1 = this;
			return apivm.h(
				"view",
				{class: "tabbar"},
				(Array.isArray(this.props.tabs)
					? this.props.tabs
					: Object.values(this.props.tabs)
				).map(function(item$1, index$1) {
					return apivm.h(
						"view",
						{
							class: "tabbar-item",
							onClick: function() {
								return this$1.setTab(index$1);
							}
						},
						apivm.h("image", {
							class: "tabbar-item_img",
							src: index$1 === this$1.props.activeIndex ? item$1.icono : item$1.icon
						}),
						apivm.h(
							"text",
							{
								class:
									index$1 === this$1.props.activeIndex
										? "tabbar-item_on"
										: "tabbar-item_off"
							},
							item$1.text
						)
					);
				})
			);
		};

		return Tabbar;
	})(Component);
	Tabbar.css = {
		".tabbar": {
			flexDirection: "row",
			alignItems: "center",
			width: "100%",
			height: "50px",
			background: "#ffffff",
			boxShadow: "0px -1px 6px rgba(0, 0, 0, 0.16)"
		},
		".tabbar-item": {
			flex: "1",
			display: "flex",
			flexDirection: "row",
			justifyContent: "center",
			alignItems: "center"
		},
		".tabbar-item_img": {width: "20px", marginRight: "5px"},
		".tabbar-item_on": {fontSize: "14px", color: "#5538de"},
		".tabbar-item_off": {fontSize: "14px", color: "#333"}
	};
	apivm.define("tabbar", Tabbar);

	var Home = /*@__PURE__*/ (function(Component) {
		function Home(props) {
			Component.call(this, props);
			this.data = {
				tabActive: 0,
				tabs: [
					{
						name: "home",
						icon: "../../image/icon/home.png",
						icono: "../../image/icon/home-o.png",
						text: "首页",
						url: "./indexs.stml"
					},

					{
						name: "my",
						icon: "../../image/icon/my.png",
						icono: "../../image/icon/my-o.png",
						text: "我的",
						url: "../my/my.stml"
					}
				]
			};
		}

		if (Component) Home.__proto__ = Component;
		Home.prototype = Object.create(Component && Component.prototype);
		Home.prototype.constructor = Home;
		Home.prototype.apiready = function() {
			this.openFrames();
		};
		Home.prototype.openFrames = function() {
			var this$1 = this;

			// 打开首页和我的页面
			api.openFrameGroup(
				{
					name: "tabs",
					rect: {
						x: 0,
						y: 0,
						w: "auto",
						h: api.winHeight - 50 - 2
					},

					index: this.data.tabActive,
					frames: this.data.tabs
				},

				function(ret) {
					this$1.data.tabActive = ret.index;
				}
			);
		};
		Home.prototype.changeTab = function(ref) {
			var detail = ref.detail;

			api.setFrameGroupIndex({
				name: "tabs",
				index: detail
			});
		};
		Home.prototype.render = function() {
			return apivm.h(
				"view",
				{class: "page"},
				apivm.h("safe-area", null),
				apivm.h("view", {class: "android-area"}),
				apivm.h("tabbar", {
					activeIndex: this.data.tabActive,
					tabs: this.data.tabs,
					onChange: this.changeTab
				})
			);
		};

		return Home;
	})(Component);
	Home.css = {
		".page": {height: "100%"},
		".android-area": {flex: "1"},
		".tabbar": {position: "fixed", left: "0", bottom: "0", width: "100%"}
	};
	apivm.define("home", Home);
	apivm.render(apivm.h("home", null), "body");
})();
