(function() {
	var HocBannerListOd = /*@__PURE__*/ (function(Component) {
		function HocBannerListOd(props) {
			Component.call(this, props);
			this.data = {
				current: 0,
				list: this.props.list || [
					{
						icon:
							"http://ae8b3ee28597856d3283.qiniucdn.apicloud-system.com/apicloud/3794f574251ab98366a921c0913b3cdc.png"
					},

					{
						icon:
							"http://a45a26425b0620bae99d.qiniucdn.apicloud-system.com/apicloud/b324c5e1ff553221e4b76f4b7437f125.png"
					},

					{
						icon:
							"http://a45a26425b0620bae99d.qiniucdn.apicloud-system.com/apicloud/2d7844069dea9049580a1a07d12ab69f.png"
					}
				]
			};
		}

		if (Component) HocBannerListOd.__proto__ = Component;
		HocBannerListOd.prototype = Object.create(Component && Component.prototype);
		HocBannerListOd.prototype.constructor = HocBannerListOd;
		HocBannerListOd.prototype.apiready = function() {};
		HocBannerListOd.prototype.fnSwiperChange = function(e) {
			this.data.current = e.detail.current;
		};
		HocBannerListOd.prototype.render = function() {
			var this$1 = this;
			return apivm.h(
				"view",
				{class: "hoc-banner-list-od"},
				apivm.h(
					"view",
					{class: "banner_box"},
					apivm.h(
						"swiper",
						{
							class: "banner_swiper",
							circular: true,
							onchange: function(event) {
								if (this$1.fnSwiperChange) {
									this$1.fnSwiperChange(event);
								} else {
									fnSwiperChange(event);
								}
							}
						},
						(Array.isArray(this.data.list)
							? this.data.list
							: Object.values(this.data.list)
						).map(function(item_, index_) {
							return apivm.h(
								"swiper-item",
								null,
								apivm.h("image", {
									class: "banner_img",
									src: item_.icon,
									"data-index": index_
								})
							);
						})
					),
					apivm.h(
						"view",
						{class: "banner_dots"},
						(Array.isArray(this.data.list)
							? this.data.list
							: Object.values(this.data.list)
						).map(function(item$1, index$1) {
							return apivm.h("view", {
								class: this$1.data.current == index$1 ? "banner_dot-on" : "banner_dot"
							});
						})
					)
				)
			);
		};

		return HocBannerListOd;
	})(Component);
	HocBannerListOd.css = {
		".hoc-banner-list-od": {padding: "10px 15px"},
		".banner_box": {width: "100%", height: "110px", backgroundColor: "#fff"},
		".banner_swiper": {width: "100%", height: "110px"},
		".banner_img": {width: "100%", height: "auto", borderRadius: "6px"},
		".banner_dots": {
			flexDirection: "row",
			justifyContent: "center",
			width: "100%",
			height: "4px",
			position: "absolute",
			bottom: "10px"
		},
		".banner_dot": {
			width: "4px",
			height: "100%",
			backgroundColor: "rgba(255, 255, 255, 0.4)",
			borderRadius: "2px",
			margin: "0 2px"
		},
		".banner_dot-on": {
			width: "15px",
			height: "100%",
			backgroundColor: "rgba(255, 255, 255, 1)",
			borderRadius: "2px",
			margin: "0 2px"
		}
	};
	apivm.define("hoc-banner-list-od", HocBannerListOd);

	var Loading = /*@__PURE__*/ (function(Component) {
		function Loading(props) {
			Component.call(this, props);
			this.data = {};
		}

		if (Component) Loading.__proto__ = Component;
		Loading.prototype = Object.create(Component && Component.prototype);
		Loading.prototype.constructor = Loading;
		Loading.prototype.apiready = function() {};
		Loading.prototype.render = function() {
			return apivm.h("image", {
				class: "" + (this.props.type ? "loading_" + this.props.type : "loading_"),
				src: "../../image/loading.gif"
			});
		};

		return Loading;
	})(Component);
	Loading.css = {
		".loading_": {
			width: "65px",
			height: "65px",
			position: "absolute",
			top: "43%",
			left: "50%",
			transform: "translateX(-25px)",
			zIndex: "99"
		},
		".loading_login": {
			width: "65px",
			height: "65px",
			position: "absolute",
			top: "17%",
			left: "50%",
			transform: "translateX(-25px)",
			zIndex: "99"
		}
	};
	apivm.define("loading", Loading);

	// api接口请求地址
	var BASEURL = "https://cbt.tibaitong.com/";

	/********************************************
	 *             系统和业务                   *
	 ******************************************/

	// 本地存储
	var storage = {
		set: function set(key, value) {
			api.setPrefs({
				key: key,
				value: typeof value === "string" ? value : JSON.stringify(value)
			});
		},

		get: function get(key) {
			var value = api.getPrefs({sync: true, key: key}) || "";

			try {
				return JSON.parse(value);
			} catch (e) {
				return value;
			}
		},

		del: function del(key) {
			api.removePrefs({key: key});
		}
	};

	// 请求
	function ajax(_ref) {
		var url = _ref.url,
			_ref$method = _ref.method,
			method = _ref$method === void 0 ? "get" : _ref$method,
			_ref$data = _ref.data,
			data = _ref$data === void 0 ? {} : _ref$data;
		return new Promise(function(resolve, reject) {
			api.ajax(
				{
					url: url.indexOf("http") === 0 ? url : BASEURL + url,
					method: method,
					headers: {
						"Content-Type": "application/json;charset=utf-8",
						"ZK-TOKEN": storage.get("token"),
						"APP-TYPE": 2
					},

					timeout: 60,
					data: {
						body: data
					}
				},

				function(ret, err) {
					if (ret) {
						if (ret.code === 200) {
							resolve(ret.data);
						} else if (ret.code === 600) {
							api.sendEvent({
								name: "loginExpired"
							});
						} else {
							api.toast({
								msg: ret.msg
							});
						}

						reject(ret);
					} else {
						api.toast({
							msg: "网络不畅,请检查网络"
						});

						reject(err);
					}
				}
			);
		});
	}

	// 获取登录状态
	function getLoginStatus() {
		return storage.get("isLogin") || false;
	}

	/**
	 * 设置登录状态
	 * @param {Boolean} status 登录状态
	 */
	function setLoginStatus(status) {
		storage.set("isLogin", !!status);
	}

	// 获取用户信息（包括昵称、头像、个性签名等）
	function getUserInfo() {
		return storage.get("userInfo") || {};
	}

	/**
	 * 保存用户信息（为方便获取token，这里有意分开保存userInfo和token）
	 * @param {Object} userInfo 用户信息
	 * @param {String} token 用户TOKEN
	 */
	function saveUserInfo(userInfo, token) {
		storage.set("userInfo", userInfo);
		if (token) {
			storage.set("token", token);
		}
	}

	// 清空用户信息
	function clearUserInfo() {
		storage.del("token");
		storage.del("userInfo");
	}

	// 打开登录页面
	function openLogin() {
		api.openTabLayout({
			name: "login",
			url: "../login/login.stml",
			navigationBar: {
				background: "#5538de",
				shadow: "#5538de",
				color: "#fff"
			}
		});
	}

	/**
	 * 用户登录成功
	 * @param {Object} userInfo 用户信息
	 */
	function loginSuccess(_ref2) {
		var userId = _ref2.userId,
			phone = _ref2.phone,
			token = _ref2.token,
			nick = _ref2.nick,
			photo = _ref2.photo,
			signature = _ref2.signature,
			userDeviceCodes = _ref2.userDeviceCodes,
			userLock = _ref2.userLock;
		// 设置用户登录状态
		setLoginStatus(true);

		// 保存用户信息
		saveUserInfo(
			{
				userId: userId,
				phone: phone,
				nickname: nick || "愤斗",
				avatarUrl:
					photo || "https://files.zhuokao360.com/user/photo/avatar@default.png",
				info: signature || "这家伙很懒，什么都没有留下。",
				userDeviceCodes: userDeviceCodes,
				userLock: userLock
			},

			token
		);

		closeToRoot();
		// 发送登录事件
		api.sendEvent({
			name: "login"
		});
	}

	// 保存上次登录的账号
	function saveLastLogin() {
		var _getUserInfo = getUserInfo(),
			phone = _getUserInfo.phone;
		storage.set("lastLogin", phone);
	}

	// 用户退出
	function exit() {
		setLoginStatus(false);
		saveLastLogin();
		clearUserInfo();

		closeToRoot();

		// 发送退出事件
		api.sendEvent({
			name: "exitStatus"
		});
	}

	/**
	 * 关闭到根页面
	 */
	function closeToRoot() {
		api.closeToWin({
			name: "root"
		});

		// 始终竖屏显示
		api.setScreenOrientation({
			orientation: "portrait_up"
		});
	}

	/**
	 * 打开一个带导航的本地页面
	 * @param {String} name 标题
	 * @param {String} title 标题
	 * @param {String} url 网络地址
	 */
	function openNavStml(name, title, url) {
		api.openTabLayout({
			name: name,
			title: title,
			url: url,
			navigationBar: {}
		});
	}

	/**
	 * 打开试听课程页面
	 * @param {String} name 标题
	 * @param {String} title 标题
	 * @param {String} url 网络地址
	 */
	function openFreePage() {
		openNavStml("free", "试听课程", "./free.stml");
	}

	// 判断是否首次启动APP
	function isFirstLaunch() {
		var isFirst = storage.get("isFirstLaunch");
		return typeof isFirst === "boolean" ? isFirst : true;
	}

	function toast(msg) {
		api.toast({msg: msg});
	}

	/**
	 * 自动登录
	 */
	function autoLogin() {
		return ajax({
			url: "login/autoLogin"
		});
	}

	/************************************************
	 *                   课程接口                    *
	 ***********************************************/

	/**
	 * 获取所有职称课程映射表
	 */
	function getProfession() {
		return ajax({
			url: "course/getUserProfession"
		});
	}

	/**
	 * 获取首页公告提示
	 */
	function getNotice(type, professionId) {
		return ajax({
			url: "notice/findNotice/" + type + "/" + professionId
		});
	}

	/**
	 * 获取视频播放历史记录
	 */
	function getHistoryVideo() {
		return ajax({
			url: "course/getNewSummary"
		});
	}

	/**
	 * 获取课程列表
	 */
	function getCourseList() {
		return ajax({
			url: "course/findCourseAuth"
		});
	}

	/**
	 * 获取反馈与回答集合
	 */
	function getFeedbackList() {
		return ajax({
			url: "/recordFeedback/list",
			method: "get",
			data: {}
		});
	}

	var Tpl = /*@__PURE__*/ (function(Component) {
		function Tpl(props) {
			Component.call(this, props);
			this.data = {
				isLogin: false,
				hasCousre: false,
				noticeText: "",
				noticeList: [],
				historyInfo: {},
				courseList: [],
				dataFinish: false,
				refresherTriggered: false,
				systemType: "android",
				sameDevice: true,
				repeatLogin: false,
				hocBannerListOdList: [
					{
						icon:
							"http://resource.zhuokao360.com/app/btzx/image/default-banner-index-1.png"
					}
				],

				feedbackShow: false,
				hasUnread: false
			};
		}

		if (Component) Tpl.__proto__ = Component;
		Tpl.prototype = Object.create(Component && Component.prototype);
		Tpl.prototype.constructor = Tpl;
		Tpl.prototype.apiready = function() {
			this.init();
			this.initEventListenter();
		};
		Tpl.prototype.init = function() {
			var isFirst = isFirstLaunch();
			if (isFirst) {
				this.openWelcome();
				return;
			}
			this.data.systemType = api.systemType;
			this.data.isLogin = getLoginStatus();
			if (this.data.isLogin) {
				autoLogin()
					.then(function(res) {
						return loginSuccess(res);
					})
					.catch(function(err) {
						return console.log("login error");
					});
			}
		};
		Tpl.prototype.initEventListenter = function() {
			var this$1 = this;

			// 监听同意隐私政策
			// api.addEventListener({
			// 	name: 'agree'
			// }, () => {
			// });
			api.addEventListener(
				{
					name: "login"
				},
				function() {
					this$1.checkLoginStatus();
					this$1.setUserDeviceCode();
					this$1.getFeedbackList();
				}
			);
			api.addEventListener(
				{
					name: "loginExpired"
				},
				function() {
					this$1.data.hasUnread = false;
					api.alert(
						{
							msg: "登录已过期，请重新登录"
						},
						exit
					);
				}
			);
			api.addEventListener(
				{
					name: "exitStatus"
				},
				function() {
					this$1.data.repeatLogin = false;
					this$1.data.sameDevice = true;
					this$1.checkLoginStatus();
				}
			);

			api.addEventListener(
				{
					name: "viewappear"
				},
				function() {
					if (this$1.data.systemType == "ios") {
						this$1.setStatusBarStyle();
					}
					api.setScreenOrientation({
						orientation: "portrait_up"
					});
				}
			);
			api.addEventListener(
				{
					name: "clearUnread"
				},
				function() {
					this$1.data.hasUnread = false;
				}
			);
		};
		Tpl.prototype.openFrames = function() {
			var isAgree = api.getPrefs({
				sync: true,
				key: "isAgreeAgreement"
			});

			if (isAgree !== "true") {
				api.openFrame({
					name: "privacyStat",
					url: "./privacy-statement.stml",
					bgColor: "rgba(0, 0, 0, 0.7)",
					rect: {
						x: 0,
						y: 0,
						w: "auto",
						h: "auto"
					}
				});
			}
		};
		Tpl.prototype.checkLoginStatus = function() {
			this.data.isLogin = getLoginStatus();
			if (this.data.isLogin) {
				this.getCourseList();
				this.getFeedbackList();
			} else {
				this.data.hasUnread = false;
				this.data.hasCousre = false;
				this.data.courseList = [];
			}
		};
		Tpl.prototype.getCourseList = function() {
			var this$1 = this;

			getCourseList()
				.then(function(res) {
					if (res.length != 0) {
						this$1.data.hasCousre = true;
					}
					this$1.data.courseList = res || [];
					this$1.data.dataFinish = true;
					this$1.data.noticeText = "";
					this$1.getProfession();
					this$1.getHistoryVideo();
				})
				.catch(function(err) {
					this$1.data.courseList = [];
				});
		};
		Tpl.prototype.toCourse = function(index) {
			var ref = getUserInfo() || 1;
			var userLock = ref.userLock;
			console.log(userLock);
			if (!Number(userLock)) {
				api.alert(
					{
						title: "提示",
						msg:
							"检测您的账户存在异常登录或其他风险问题，请与客服人员沟通处理后继续学习",
						buttons: ["确定"]
					},
					function(ret, err) {}
				);
				return;
			}

			api.openWin({
				name: "course",
				url: "../../pages/course/course.stml",
				pageParam: {
					name: this.data.courseList[index].name,
					courseId: this.data.courseList[index].courseId,
					courseType: this.data.courseList[index].courseType,
					yearQuestion: this.data.courseList[index].yearQuestion
				}
			});
		};
		Tpl.prototype.getProfession = function() {
			var this$1 = this;

			getProfession().then(function(res) {
				var professionIds = res
					.map(function(item) {
						return item.professionId;
					})
					.join();
				if (professionIds) {
					this$1.notice(professionIds);
				}
			});
		};
		Tpl.prototype.notice = function(professionIds) {
			var this$1 = this;

			var noticeText = "";
			var noticeList = [];
			getNotice(1, professionIds).then(function(res) {
				if (!res) {
					return;
				}
				res.map(function(item, index) {
					noticeText = noticeText + item.title;
					noticeList.push(item);
				});
				this$1.data.noticeText = noticeText;
				this$1.data.noticeList = noticeList;
			});
		};
		Tpl.prototype.getHistoryVideo = function() {
			var this$1 = this;

			getHistoryVideo().then(function(res) {
				this$1.data.historyInfo = res;
			});
		};
		Tpl.prototype.videohistory = function() {
			api.openWin({
				name: "video",
				url: "../video/video.stml",
				slidBackEnabled: false,
				pageParam: {
					videoId: this.data.historyInfo.lastWatchedVideoId
				}
			});
		};
		Tpl.prototype.openWelcome = function() {
			api.openWin({
				name: "welcome",
				url: "../welcome/index.stml",
				slidBackEnabled: false
			});
		};
		Tpl.prototype.openNotice = function() {
			api.openFrame({
				name: "notice",
				url: "./notice.stml",
				bgColor: "rgba(0, 0, 0, 0.7)",
				rect: {
					x: 0,
					y: 0,
					w: "auto",
					h: "auto"
				},

				pageParam: {
					noticeList: this.data.noticeList
				}
			});
		};
		Tpl.prototype.onrefresherrefresh = function() {
			var this$1 = this;

			this.data.refresherTriggered = true;
			getCourseList()
				.then(function(res) {
					if (res) {
						this$1.data.hasCousre = true;
					}
					this$1.data.courseList = res || [];
					this$1.data.refresherTriggered = false;
					this$1.data.noticeText = "";
					this$1.getProfession();
					this$1.getFeedbackList();
					toast("刷新成功");
				})
				.catch(function(err) {
					this$1.data.courseList = [];
				});
		};
		Tpl.prototype.setUserDeviceCode = function() {
			var this$1 = this;

			var ref = getUserInfo();
			var phone = ref.phone;
			if (phone === "18888888888") {
				return;
			}
			if (!this.data.repeatLogin) {
				// 设备标识
				var verifyData = {
					appType: 2, // 1、卓考；2、百通；4、雪松
					deviceType: 2, // 1、pc；2、app；3、pad
					code: api.deviceId,
					codeType: 1
				};

				// 判断设备是否为平板
				if (api.uiMode == "pad") {
					verifyData.deviceType = 3;
				}

				// 判断设备是否为苹果
				if (this.data.systemType === "ios") {
					var appleName = api.deviceName + " | " + api.deviceModel;
					verifyData.appleId = appleName;
				}

				ajax({
					url: "/userDeviceCode/verifyDeviceCode",
					data: verifyData
				}).then(function(res) {
					if (!res.status && !res.newStatus) {
						this$1.data.sameDevice = false;
					} else {
						this$1.data.sameDevice = true; // this.getCourseList();
					}
				});
				this.data.repeatLogin = true;
			}
		};
		Tpl.prototype.setStatusBarStyle = function() {
			api.setStatusBarStyle({
				style: "dark"
			});
		};
		Tpl.prototype.showFeedbackProblem = function() {
			if (!this.data.isLogin) {
				toast("需要登录APP才能反馈喔~");
				return;
			}
			this.data.feedbackShow = !this.data.feedbackShow;
		};
		Tpl.prototype.feedback = function() {
			openNavStml(
				"feedback",
				"用户反馈",
				"https://vip.zhuokao360.com/app/html/feedback"
			);
			this.showFeedbackProblem();
		};
		Tpl.prototype.toFeedbackResult = function() {
			api.openWin({
				name: "feedback-result",
				url: "../feedback/feedback-result.stml"
			});

			this.showFeedbackProblem();
		};
		Tpl.prototype.toCommonProblem = function() {
			this.showFeedbackProblem();
			api.openTabLayout({
				name: "common-problem",
				title: "常见问题",
				fontWeight: "bold",
				url: "https://vip.zhuokao360.com/app/html/feedback/common-problem.html",
				navigationBar: {
					leftButtons: [
						{
							text: " 返回",
							color: "#000",
							iconPath: "../../image/icon/problem-back.png"
						}
					]
				}
			});
		};
		Tpl.prototype.getFeedbackList = function() {
			var this$1 = this;

			getFeedbackList()
				.then(function(res) {
					this$1.data.hasUnread = res.some(function(item) {
						return item.isRead === 0;
					});
				})
				.catch(function(err) {
					this$1.feedbackList = [];
				});
		};
		Tpl.prototype.render = function() {
			var this$1 = this;
			return apivm.h(
				"view",
				{class: "page"},
				apivm.h("safe-area", null),
				apivm.h(
					"view",
					{class: "nav"},

					apivm.h("text", {class: "nav_title"}, "百通在线"),
					apivm.h(
						"view",
						{class: "nav_message_container"},
						apivm.h("image", {
							class: "nav_message",
							src: "../../image/icon/message.png",
							onClick: this.showFeedbackProblem
						}),
						this.data.hasUnread ? apivm.h("text", {class: "unread unread-1"}) : null
					)
				),

				apivm.h(
					"view",
					{
						class: "message_container",
						style: {display: this.data.feedbackShow ? "flex" : "none"}
					},
					apivm.h(
						"view",
						{class: "message_item view_1", onClick: this.feedback},
						apivm.h("image", {
							class: "message_item_img",
							src: "../../image/icon/feedback-problem.png"
						}),
						apivm.h("text", null, "反馈问题")
					),
					apivm.h(
						"view",
						{class: "message_item view_3", onClick: this.toFeedbackResult},
						apivm.h("image", {
							class: "message_item_img",
							src: "../../image/icon/feedback-result.png"
						}),
						apivm.h("text", {class: "message_result"}, "反馈结果"),
						this.data.hasUnread ? apivm.h("text", {class: "unread unread-2"}) : null
					),
					apivm.h(
						"view",
						{class: "message_item view_2", onClick: this.toCommonProblem},
						apivm.h("image", {
							class: "message_item_img",
							src: "../../image/icon/common-problem.png"
						}),
						apivm.h("text", null, "常见问题")
					)
				),

				apivm.h(
					"view",
					null,
					apivm.h("hoc-banner-list-od", {list: this.data.hocBannerListOdList})
				),

				apivm.h(
					"view",
					null,
					this.data.isLogin && this.data.noticeText
						? apivm.h(
								"view",
								{class: "notice", onClick: this.openNotice},
								apivm.h("image", {
									class: "notice_img",
									src: "../../image/icon/notice.png"
								}),
								apivm.h("text", {class: "notice-txt"}, this.data.noticeText)
						  )
						: null
				),

				apivm.h(
					"view",
					{
						class: "" + (this.data.isLogin ? "course" : ""),
						style: "position:relative;"
					},
					apivm.h(
						"view",
						{class: "course-title"},
						apivm.h("view", {class: "course-title_line"}),
						apivm.h("text", {class: "course-title_text"}, "我的课程")
					),

					this.data.isLogin && this.data.hasCousre && this.data.sameDevice
						? apivm.h(
								"scroll-view",
								{
									class: "scroll-view",
									"show-scrollbar": "false",
									"refresher-enabled": true,
									"refresher-triggered": this.data.refresherTriggered,
									onrefresherrefresh: this.onrefresherrefresh
								},
								!this.data.dataFinish ? apivm.h("loading", null) : null,
								(Array.isArray(this.data.courseList)
									? this.data.courseList
									: Object.values(this.data.courseList)
								).map(function(item$1, index$1) {
									return apivm.h(
										"view",
										null,
										apivm.h(
											"view",
											{
												class: "course-item",
												onClick: function() {
													return this$1.toCourse(index$1);
												}
											},
											apivm.h("image", {
												class: "course-item-img",
												src: item$1.courseImageSrc,
												thumbnail: "false",
												mode: "widthFix",
												placeholder: "../../image/logo.png"
											}),
											apivm.h(
												"view",
												{class: "course-item-des"},
												apivm.h("text", {class: "course-item-profess"}, item$1.name),
												apivm.h(
													"text",
													{class: "course-item-time"},
													item$1.totalVideoNum,
													"课时"
												)
											),
											apivm.h("text", {class: "course-item-open"}, "进入课程")
										)
									);
								})
						  )
						: null,

					this.data.isLogin && !this.data.hasCousre && this.data.dataFinish
						? apivm.h(
								"view",
								null,
								apivm.h(
									"view",
									{class: "course-nologin"},
									apivm.h("image", {
										class: "course-nologin_img",
										src: "../../image/default-course-nodata.png"
									}),
									apivm.h("text", {class: "course-nologin_text"}, "您还没有开通课程"),
									this.data.systemType === "ios" || this.data.systemType === "android"
										? apivm.h(
												"text",
												{class: "course-try-1", onClick: openFreePage},
												"试听课程"
										  )
										: null
								)
						  )
						: null,

					this.data.isLogin &&
						this.data.hasCousre &&
						this.data.dataFinish &&
						!this.data.sameDevice
						? apivm.h(
								"view",
								null,
								apivm.h(
									"view",
									{class: "course-nologin"},
									apivm.h("image", {
										class: "course-nologin_img",
										src: "../../image/default-course-disabled.png"
									}),
									apivm.h(
										"text",
										{class: "course-nologin_text"},
										"请更换常用设备学习哦~"
									)
								)
						  )
						: null,

					!this.data.isLogin
						? apivm.h(
								"view",
								null,
								apivm.h(
									"view",
									{class: "course-nologin"},
									apivm.h("image", {
										class: "course-unlogin_img",
										src: "../../image/default-course-unlogin.png"
									}),
									apivm.h(
										"text",
										{class: "course-nologin_text"},
										"登录后可以查看我的课程哦~"
									)
								),

								apivm.h("text", {class: "courser-login", onClick: openLogin}, "去登录"),
								this.data.systemType === "ios" || this.data.systemType === "android"
									? apivm.h(
											"text",
											{class: "course-try-2", onClick: openFreePage},
											"试听课程"
									  )
									: null
						  )
						: null
				),

				this.data.isLogin &&
					this.data.hasCousre &&
					this.data.dataFinish &&
					this.data.sameDevice &&
					this.data.historyInfo.courseId
					? apivm.h(
							"view",
							{class: "history"},
							apivm.h(
								"view",
								{class: "history-info"},
								apivm.h("image", {
									class: "history-img",
									src: "../../image/icon/history-video.png"
								}),
								apivm.h(
									"text",
									{class: "history-txt"},
									this.data.historyInfo.lastWatchedVideoSubName
								)
							),
							apivm.h(
								"text",
								{class: "history-btn", onClick: this.videohistory},
								"继续观看"
							)
					  )
					: null
			);
		};

		return Tpl;
	})(Component);
	Tpl.css = {
		".page": {height: "100%"},
		".notice": {
			flexDirection: "row",
			alignItems: "center",
			backgroundColor: "#fffbe8",
			borderRadius: "5px",
			padding: "10px",
			margin: "0 15px 10px",
			position: "relative"
		},
		".notice_img": {width: "20px", height: "20px", marginRight: "5px"},
		".notice-txt": {
			whiteSpace: "nowrap",
			textOverflow: "ellipsis",
			fontSize: "12px",
			color: "#5f4211"
		},
		".course": {flex: "1"},
		".course-title": {
			flexDirection: "row",
			alignItems: "center",
			padding: "0 20px",
			boxSizing: "border-box"
		},
		".course-title_line": {
			width: "4px",
			height: "15px",
			background: "#5538de",
			marginTop: "4.5px"
		},
		".course-title_text": {
			flex: "1",
			fontSize: "18px",
			fontWeight: "bold",
			color: "#333",
			marginLeft: "7.5px"
		},
		".course-title_span": {fontSize: "12px", color: "#666"},
		".scroll-view": {
			flex: "1",
			padding: "0 20px",
			boxSizing: "border-box",
			marginTop: "10px"
		},
		".course-item": {
			display: "flex",
			flexDirection: "row",
			width: "100%",
			margin: "10px 0"
		},
		".course-item-img": {width: "90px", height: "90px", borderRadius: "10px"},
		".course-item-des": {
			flex: "1",
			justifyContent: "space-between",
			padding: "4px 0",
			marginLeft: "10px"
		},
		".course-item-profess": {fontSize: "16px", fontWeight: "bold", color: "#333"},
		".course-item-time": {fontSize: "12px", color: "#333"},
		".course-item-open": {
			alignSelf: "flex-end",
			border: "1px solid #5538de",
			fontSize: "12px",
			color: "#5538de",
			padding: "5px"
		},
		".course-nologin": {padding: "40px 75px 66.5px", boxSizing: "border-box"},
		".course-nologin_img": {width: "180px", height: "140px", margin: "0 auto"},
		".course-unlogin_img": {width: "150px", height: "148px", margin: "0 auto"},
		".course-nologin_text": {
			textAlign: "center",
			fontSize: "14px",
			color: "#999",
			marginTop: "15px"
		},
		".courser-login": {
			borderRadius: "22.5px",
			backgroundColor: "#5538de",
			padding: "12px 0",
			textAlign: "center",
			fontSize: "15px",
			color: "#fff",
			margin: "0 20px 15px"
		},
		".course-try-1": {
			textAlign: "center",
			fontSize: "14px",
			color: "#5538de",
			border: "1px solid #5538de",
			borderRadius: "22.5px",
			width: "100px",
			height: "24px",
			lineHeight: "24px",
			margin: "15px auto"
		},
		".course-try-2": {
			marginTop: "15px",
			textAlign: "center",
			fontSize: "12px",
			color: "#5538de"
		},
		".history": {
			position: "absolute",
			bottom: "10px",
			flexDirection: "row",
			justifyContent: "space-between",
			alignItems: "center",
			width: "93%",
			backgroundColor: "#1a1a1a",
			borderRadius: "5px",
			padding: "13px 15px",
			margin: "0 15px"
		},
		".history-info": {flexDirection: "row", alignItems: "center"},
		".history-img": {width: "16px", height: "16px", marginRight: "10px"},
		".history-txt": {fontSize: "14px", color: "#ffffff"},
		".history-btn": {
			width: "70px",
			height: "28px",
			background: "#5538de",
			borderRadius: "2px",
			textAlign: "center",
			lineHeight: "28px",
			fontSize: "12px",
			color: "#ffffff"
		},
		".nav": {
			height: "44px",
			width: "100%",
			borderBottom: "1px solid rgba(120, 120, 120, 0.1)",
			padding: "3px auto 5px",
			flexDirection: "row",
			justifyContent: "center",
			alignItems: "center",
			position: "relative",
			zIndex: "1"
		},
		".nav_message_container": {
			position: "absolute",
			right: "20px",
			width: "22px"
		},
		".nav_title": {fontSize: "16px", fontWeight: "bold"},
		".message_container": {
			position: "absolute",
			right: "20px",
			top: "40px",
			width: "140px",
			height: "150px",
			background: "#ffffff",
			boxShadow: "0px 3px 20px 1px rgba(0, 0, 0, 0.16)",
			borderRadius: "5px",
			zIndex: "10"
		},
		".message_item": {
			position: "relative",
			flexDirection: "row",
			justifyContent: "center",
			alignItems: "center",
			height: "60px",
			paddingRight: "20px",
			borderBottom: "1px solid #999",
			fontSize: "14px"
		},
		".message_item:last-child": {border: "none"},
		".message_item_img": {width: "20px", marginRight: "10px"},
		".unread": {
			position: "absolute",
			background: "#ff5152",
			color: "#ffffff",
			borderRadius: "50%",
			width: "10px",
			height: "10px",
			textAlign: "center",
			lineHeight: "20px"
		},
		".unread-1": {right: "-4px", top: "-4px"},
		".unread-2": {right: "10px"},
		".view_1": {borderBottomColor: "#eeeeee"},
		".view_2": {borderBottomColor: "#eeeeee", position: "relative"},
		".view_3": {borderBottomColor: "#eeeeee"}
	};
	apivm.define("tpl", Tpl);
	apivm.render(apivm.h("tpl", null), "body");
})();
