(function() {
	// 打开隐私政策
	function openPrivacyPolicy() {
		api.openTabLayout({
			name: "privacyPolicy",
			url: "https://vip.zhuokao360.com/terms/privacyPolicy/btzx.html",
			title: "隐私政策",
			navigationBar: {},
			avm: false
		});
	}

	// 打开用户协议
	function openUserAgreement() {
		api.openTabLayout({
			name: "userAgreement",
			url: "https://vip.zhuokao360.com/terms/userAgreement/btzx.html",
			title: "用户协议",
			navigationBar: {},
			avm: false
		});
	}

	/********************************************
	 *             系统和业务                   *
	 ******************************************/

	// 本地存储
	var storage = {
		set: function set(key, value) {
			api.setPrefs({
				key: key,
				value: typeof value === "string" ? value : JSON.stringify(value)
			});
		},

		get: function get(key) {
			var value = api.getPrefs({sync: true, key: key}) || "";

			try {
				return JSON.parse(value);
			} catch (e) {
				return value;
			}
		},

		del: function del(key) {
			api.removePrefs({key: key});
		}
	};

	// 设置非首次启动
	function setNonFirstLaunch() {
		return storage.set("isFirstLaunch", false);
	}

	var Tpl = /*@__PURE__*/ (function(Component) {
		function Tpl(props) {
			Component.call(this, props);
		}

		if (Component) Tpl.__proto__ = Component;
		Tpl.prototype = Object.create(Component && Component.prototype);
		Tpl.prototype.constructor = Tpl;
		Tpl.prototype.apiready = function() {
			api.addEventListener(
				{
					name: "keyback"
				},
				function() {}
			);
		};
		Tpl.prototype.agree = function() {
			console.log("agree");
			api.agreedPrivacy();
			api.sendEvent({
				name: "agree"
			});

			api.setPrefs({
				key: "isAgreeAgreement",
				value: "true"
			});

			storage.set("isAgree", false);
			api.closeFrame();
			setNonFirstLaunch();
		};
		Tpl.prototype.exitApp = function() {
			api.closeWidget();
		};
		Tpl.prototype.openPrivacyPolicy = function() {
			openPrivacyPolicy();
		};
		Tpl.prototype.openUserAgreement = function() {
			openUserAgreement();
		};
		Tpl.prototype.render = function() {
			return apivm.h(
				"view",
				{class: "page"},
				apivm.h(
					"view",
					{class: "dialog"},
					apivm.h(
						"view",
						{class: "dialog__hd"},
						apivm.h("text", {class: "dialog-title"}, "亲爱的百通学员")
					),
					apivm.h(
						"view",
						{class: "dialog__bd"},
						apivm.h(
							"text",
							{class: "dialog__bd_text"},
							"感谢您使用百通在线！我们非常重视您的个人信息和隐私安全。为了更好地保障您的个人权益，请您在使用百通在线前仔细阅读"
						),
						apivm.h(
							"view",
							{class: "dialog__bd_text"},
							apivm.h(
								"view",
								{class: "dialog__bd_box"},
								apivm.h(
									"text",
									{class: "dialog__bd_text em", onClick: this.openUserAgreement},
									"《百通在线用户服务条款》"
								),
								apivm.h("text", {class: "dialog__bd_text"}, "和"),
								apivm.h(
									"text",
									{class: "dialog__bd_text em", onClick: this.openPrivacyPolicy},
									"《隐私政策》"
								)
							),
							apivm.h(
								"text",
								{class: "dialog__bd_text"},
								"，并在您充分理解并同意全部内容后开始使用我们的产品和服务。我们将严格按照法律法规及协议政策约定收集、使用和保护您的个人信息，感谢您的信任！"
							)
						),
						apivm.h(
							"text",
							{class: "dialog__bd_text"},
							"点击“同意”即表示您已阅读并同意全部条款。"
						)
					),
					apivm.h(
						"view",
						{class: "dialog__ft"},
						apivm.h("text", {class: "dialog__ft_agree", onClick: this.agree}, "同意"),
						apivm.h(
							"text",
							{class: "dialog__ft_disagree", onClick: this.exitApp},
							"不同意并退出APP"
						)
					)
				)
			);
		};

		return Tpl;
	})(Component);
	Tpl.css = {
		".page": {
			display: "flex",
			justifyContent: "center",
			alignItems: "center",
			height: "100%"
		},
		".dialog": {
			padding: "20px 15px",
			width: "290px",
			backgroundColor: "#fff",
			borderRadius: "4px"
		},
		".dialog-title": {
			fontSize: "14px",
			color: "#333",
			textAlign: "center",
			lineHeight: "40px"
		},
		".dialog__bd": {marginTop: "10px"},
		".dialog__bd_box": {flexDirection: "row"},
		".dialog__bd_text": {
			lineHeight: "16px",
			fontSize: "12px",
			color: "#666",
			marginTop: "5px"
		},
		".em": {color: "#5538de"},
		".dialog__ft": {marginTop: "20px"},
		".dialog__ft_agree": {
			fontSize: "14px",
			color: "#fff",
			textAlign: "center",
			lineHeight: "40px",
			backgroundColor: "#5538de",
			borderRadius: "20px"
		},
		".dialog__ft_disagree": {
			marginTop: "10px",
			fontSize: "10px",
			color: "#666",
			textAlign: "center"
		}
	};
	apivm.define("tpl", Tpl);
	apivm.render(apivm.h("tpl", null), "body");
})();
