(function() {
	/********************************************
	 *             系统和业务                   *
	 ******************************************/

	// 本地存储
	var storage = {
		set: function set(key, value) {
			api.setPrefs({
				key: key,
				value: typeof value === "string" ? value : JSON.stringify(value)
			});
		},

		get: function get(key) {
			var value = api.getPrefs({sync: true, key: key}) || "";

			try {
				return JSON.parse(value);
			} catch (e) {
				return value;
			}
		},

		del: function del(key) {
			api.removePrefs({key: key});
		}
	};

	// 获取用户信息（包括昵称、头像、个性签名等）
	function getUserInfo() {
		return storage.get("userInfo") || {};
	}

	var Mask = /*@__PURE__*/ (function(Component) {
		function Mask(props) {
			Component.call(this, props);
			this.data = {
				phone: "null", // 用户手机号
				position: "left" // 水印显示位置
			};
		}

		if (Component) Mask.__proto__ = Component;
		Mask.prototype = Object.create(Component && Component.prototype);
		Mask.prototype.constructor = Mask;
		Mask.prototype.apiready = function() {
			this.data.phone = getUserInfo().phone;
			this._changePositon();
		};
		Mask.prototype._changePositon = function() {
			var this$1 = this;

			setTimeout(function() {
				var positionArr = ["left", "right"];
				var index = this$1.randomRange(0, 2);
				this$1.data.position = positionArr[index];
				this$1._changePositon();
			}, 1000 * 60);
		};
		Mask.prototype.randomRange = function(m, n) {
			var range = n - m;
			return m + Math.round(Math.random() * range);
		};
		Mask.prototype.render = function() {
			return apivm.h(
				"view",
				{class: this.data.position},
				apivm.h("text", {class: "phone"}, this.data.phone)
			);
		};

		return Mask;
	})(Component);
	Mask.css = {
		".phone": {
			height: "10px",
			lineHeight: "10px",
			fontSize: "12px",
			color: "#000",
			opacity: "0.4"
		},
		".left": {
			width: "100%",
			height: "100%",
			justifyContent: "center",
			alignItems: "flex-start",
			padding: "0 30px",
			boxSizing: "border-box"
		},
		".middle": {
			width: "100%",
			height: "100%",
			justifyContent: "center",
			alignItems: "center",
			padding: "0 30px",
			boxSizing: "border-box"
		},
		".right": {
			width: "100%",
			height: "100%",
			justifyContent: "center",
			alignItems: "flex-end",
			padding: "0 30px",
			boxSizing: "border-box"
		}
	};
	apivm.define("mask", Mask);
	apivm.render(apivm.h("mask", null), "body");
})();
